aboutsummaryrefslogtreecommitdiffstats
path: root/package/broadcom-wl/files/etc/init.d/.svn
diff options
context:
space:
mode:
Diffstat (limited to 'package/broadcom-wl/files/etc/init.d/.svn')
-rw-r--r--package/broadcom-wl/files/etc/init.d/.svn/entries62
-rw-r--r--package/broadcom-wl/files/etc/init.d/.svn/prop-base/wlunbind.svn-base5
-rw-r--r--package/broadcom-wl/files/etc/init.d/.svn/text-base/wlunbind.svn-base29
3 files changed, 96 insertions, 0 deletions
diff --git a/package/broadcom-wl/files/etc/init.d/.svn/entries b/package/broadcom-wl/files/etc/init.d/.svn/entries
new file mode 100644
index 0000000..4fa0082
--- /dev/null
+++ b/package/broadcom-wl/files/etc/init.d/.svn/entries
@@ -0,0 +1,62 @@
+10
+
+dir
+36060
+svn://svn.openwrt.org/openwrt/trunk/package/broadcom-wl/files/etc/init.d
+svn://svn.openwrt.org/openwrt
+
+
+
+2011-07-24T14:10:39.842012Z
+27751
+jow
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+3c298f89-4303-0410-b956-a3cf2f4a3e73
+
+wlunbind
+file
+
+
+
+
+2013-03-17T12:13:21.000000Z
+b312a1d91e33fdc21069aa017d143c0b
+2011-07-24T14:10:39.842012Z
+27751
+jow
+has-props
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+522
+
diff --git a/package/broadcom-wl/files/etc/init.d/.svn/prop-base/wlunbind.svn-base b/package/broadcom-wl/files/etc/init.d/.svn/prop-base/wlunbind.svn-base
new file mode 100644
index 0000000..869ac71
--- /dev/null
+++ b/package/broadcom-wl/files/etc/init.d/.svn/prop-base/wlunbind.svn-base
@@ -0,0 +1,5 @@
+K 14
+svn:executable
+V 1
+*
+END
diff --git a/package/broadcom-wl/files/etc/init.d/.svn/text-base/wlunbind.svn-base b/package/broadcom-wl/files/etc/init.d/.svn/text-base/wlunbind.svn-base
new file mode 100644
index 0000000..0a29db5
--- /dev/null
+++ b/package/broadcom-wl/files/etc/init.d/.svn/text-base/wlunbind.svn-base
@@ -0,0 +1,29 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2010-2011 OpenWrt.org
+
+START=09
+
+unbind_driver() {
+ local driver="$1"
+ local sysfs="/sys/bus/pci/drivers/$driver"
+ if [ -d "$sysfs" ]; then
+ local lnk
+ for lnk in $sysfs/*; do
+ [ -h "$lnk" ] || continue
+ case "${lnk##*/}" in
+ *:*:*.*)
+ logger "Unbinding WL PCI device ${lnk##*/} from $driver"
+ echo -n "${lnk##*/}" > "$sysfs/unbind"
+ ;;
+ esac
+ done
+ fi
+}
+
+boot() {
+ unbind_driver b43-pci-bridge
+ unbind_driver bcma-pci-bridge
+}
+
+start() { :; }
+stop() { :; }